com.lowagie.text.pdf.hyphenation

## Class CharVector

- java.lang.Object
- - com.lowagie.text.pdf.hyphenation.CharVector

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class CharVector
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  This class implements a simple char vector with access to the underlying array.
  Author:
    Carlos Villegas
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private char[]` | `array` The encapsulated array
    `private int` | `blockSize`
    `private static int` | `DEFAULT_BLOCK_SIZE` Capacity increment size
    `private int` | `n` Points to next free item
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharVector()`
    `CharVector(char[] a)`
    `CharVector(char[] a, int capacity)`
    `CharVector(int capacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `alloc(int size)`
    `int` | `capacity()` returns current capacity of array
    `void` | `clear()` Reset Vector but don't resize or clear elements
    `java.lang.Object` | `clone()`
    `char` | `get(int index)`
    `char[]` | `getArray()`
    `int` | `length()` return number of items in array
    `void` | `put(int index, char val)`
    `void` | `trimToSize()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### DEFAULT_BLOCK_SIZE

          private static final int DEFAULT_BLOCK_SIZE

      Capacity increment size
      See Also:
        Constant Field Values

    - #### blockSize

          private int blockSize

    - #### array

          private char[] array

      The encapsulated array

    - #### n

          private int n

      Points to next free item

  - ### Constructor Detail

    - #### CharVector

          public CharVector()

    - #### CharVector

          public CharVector(int capacity)

    - #### CharVector

          public CharVector(char[] a)

    - #### CharVector

          public CharVector(char[] a,
                    int capacity)

  - ### Method Detail

    - #### clear

          public void clear()

      Reset Vector but don't resize or clear elements

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### getArray

          public char[] getArray()

    - #### length

          public int length()

      return number of items in array

    - #### capacity

          public int capacity()

      returns current capacity of array

    - #### put

          public void put(int index,
                 char val)

    - #### get

          public char get(int index)

    - #### alloc

          public int alloc(int size)

    - #### trimToSize

          public void trimToSize()